{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License 3.0 (AFL-3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/AFL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}
{block name='product_miniature_item'}
<a href="{$product.url}"  class="group w-full flex flex-col">
  {block name='product_thumbnail'}
    {if $product.cover}
      <div class="thumbnail product-thumbnail w-full aspect-[342/513] bg-gray-100">
        <img
          src="{$product.cover.bySize.home_default.url}"
          alt="{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}"
          data-full-size-image-url="{$product.cover.large.url}"
          class="object-cover w-full h-full"
        />
      </div>
    {else}
      <div class="thumbnail product-thumbnail w-full aspect-[342/513]">
        <img class="object-fit w-full h-full" src="{$urls.no_picture_image.bySize.home_default.url}" />
      </div>
    {/if}
  {/block}
  <div class="product-description flex flex-col pt-4 group-hover:text-blue-900 gap-1">
    {block name='product_price_and_shipping'}
      <div class="flex w-full justify-between items-center">
        {if $product.has_discount}
          <span class="regular-price line-through leading-none font-medium">{$product.regular_price}</span>
        {/if}
        <div class="font-bold text-lg">
          <span>{$product.price}</span>
        </div>
      </div>
    {/block}
    {block name='product_name'}
        <span class="text-xl font-medium" itemprop="name">{$product.name|truncate:30:'...'}</span>
    {/block}
  </div>
</a>
{/block}

{**

  <article class="product-miniature js-product-miniature flex flex-col shrink-0" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" itemscope itemtype="http://schema.org/Product">
    <div class="thumbnail-container flex flex-col gap-4">
      {block name='product_thumbnail'}
        {if $product.cover}
          <a href="{$product.url}" class="thumbnail product-thumbnail w-full aspect-[342/513] bg-gray-100">
            <img
              src="{$product.cover.bySize.home_default.url}"
              alt="{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:30:'...'}{/if}"
              data-full-size-image-url="{$product.cover.large.url}"
              class="object-cover w-full h-full"
            />
          </a>
        {else}
          <a href="{$product.url}" class="thumbnail product-thumbnail w-full aspect-[342/513]">
            <img class="object-fit w-full h-full" src="{$urls.no_picture_image.bySize.home_default.url}" />
          </a>
        {/if}
      {/block}

      <div class="product-description flex flex-col">

        {block name='product_price_and_shipping'}
          {if $product.show_price}
            <div class="product-price-and-shipping flex flex-col">
              {if $product.has_discount}
                {hook h='displayProductPriceBlock' product=$product type="old_price"}

                <span class="regular-price">{$product.regular_price}</span>
                {if $product.discount_type === 'percentage'}
                  <span class="discount-percentage discount-product">{$product.discount_percentage}</span>
                {elseif $product.discount_type === 'amount'}
                  <span class="discount-amount discount-product">{$product.discount_amount_to_display}</span>
                {/if}
              {/if}

              {hook h='displayProductPriceBlock' product=$product type="before_price"}

              <span itemprop="price" class="price text-base font-medium">{$product.price}</span>

              {hook h='displayProductPriceBlock' product=$product type='unit_price'}

              {hook h='displayProductPriceBlock' product=$product type='weight'}
            </div>
          {/if}
        {/block}
        {block name='product_name'}
            <h2 class="h3 product-title text-lg font-medium" itemprop="name"><a href="{$product.url}">{$product.name|truncate:30:'...'}</a></h2>
        {/block}

        {block name='product_reviews'}
          {hook h='displayProductListReviews' product=$product}
        {/block}
      </div>

      <!-- @todo: use include file='catalog/_partials/product-flags.tpl'} -->

      <div class="highlighted-informations{if !$product.main_variants} no-variants{/if} hidden-sm-down">

        {block name='product_variants'}
          {if $product.main_variants}
            {include file='catalog/_partials/variant-links.tpl' variants=$product.main_variants}
          {/if}
        {/block}
      </div>
    </div>
  </article>
*}
